/*  zweic -- a compiler for Zwei
 *
 *  Stephane Micheloud & LAMP
 *
 *  $Id: Formal.java 2146 2005-11-13 17:39:11 +0100 (Sun, 13 Nov 2005) michelou $
 */

package zweic;

import zweic.Tree.*;


class Formal {
    public Name name;
    public TypeTree typeName;

    public Formal(Name name, TypeTree typeName) {
        this.name = name;
        this.typeName = typeName;
    }
    
    public static Name[] getNames(Formal[] params) {
    	Name[] names = new Name[params.length];
    	for (int i = 0; i < params.length; i++)
    	    names[i] = params[i].name;
    	return names;
    }

    public static TypeTree[] getTypes(Formal[] params) {
    	TypeTree[] typeNames = new TypeTree[params.length];
    	for (int i = 0; i < params.length; i++)
    	    typeNames[i] = params[i].typeName;
    	return typeNames;
    }

}
